ClosureBackedAction (Gradle API 8.14.5)
Description: declaration: package: org.gradle.util, class: ClosureBackedAction

Package org.gradle.util

# Class ClosureBackedAction<T>

java.lang.Object
org.gradle.util.ClosureBackedAction<T>

Type Parameters:
  `T` - The action type.

All Implemented Interfaces:
  `Action<T>`

@Deprecated public class ClosureBackedAction<T> extends Object implements Action<T>
Deprecated.
Will be removed in Gradle 9.0.
This class is only here to maintain binary compatibility with existing plugins.

To apply a configuration (represented by a Groovy closure) on an object, use `Project.configure(Object, Closure)`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClosureBackedAction(Closure closure)`
  Deprecated.
  `ClosureBackedAction(Closure closure, int resolveStrategy)`
  Deprecated.
  `ClosureBackedAction(Closure closure, int resolveStrategy, boolean configurableAware)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Deprecated.
  `void`
  `execute(T delegate)`
  Deprecated.
  Performs this action against the given object.
  `static <T> void`
  `execute(T delegate, Closure<?> closure)`
  Deprecated.
  `Closure`
  `getClosure()`
  Deprecated.
  `int`
  `hashCode()`
  Deprecated.
  `static <T> ClosureBackedAction<T>`
  `of(Closure<?> closure)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClosureBackedAction

    public ClosureBackedAction(Closure closure)
    Deprecated.

  - ### ClosureBackedAction

    public ClosureBackedAction(Closure closure, int resolveStrategy)
    Deprecated.

  - ### ClosureBackedAction

    public ClosureBackedAction(Closure closure, int resolveStrategy, boolean configurableAware)
    Deprecated.

- ## Method Details

  - ### of

    public static <T> ClosureBackedAction<T> of(Closure<?> closure)
    Deprecated.

  - ### execute

    public static <T> void execute(T delegate, Closure<?> closure)
    Deprecated.

  - ### execute

    public void execute(T delegate)
    Deprecated.
    Description copied from interface: `Action`
    Performs this action against the given object.
    Specified by:
      `execute` in interface `Action<T>`
    Parameters:
      `delegate` - The object to perform the action on.

  - ### getClosure

    public Closure getClosure()
    Deprecated.

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`